2009-02-15  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Bumped version to 2.24.1

	* src/manager.c: Changed all "import photos?" prompts to use the
	same gconf "don't ask again" key.
	(prompt_response_cb): Allow saving the result even if the response
	is GTK_RESPONSE_CANCEL. Fixes bug #557364.
	(gvm_prompt): Set a window icon. Fixes bug #515762.

	* gnome-volume-manager.schemas.in: Applied patch by Jerry Tan to
	default autophoto_command to `gthumb --import-photos`. Fixes bug
	#560735.

	* src/manager.c (gvm_console_kit_sesion_get_uid): ConsoleKit 0.3
	changed the return value from Int32 to UInt32 so check for either
	type. Based on a patch by Donnie Berkholz. Fixes bug #571872.

2008-09-23  Jeffrey Stedfast  <fejj@novell.com>

	Based on the patch by Herbert Pötzl

	* src/manager.c (unmount_all): Don't unmount any volumes that have
	become marked with volume.ignore.
	(gvm_device_mounted): If a volume marked for ignore gets mounted,
	don't prompt the user for anything.

2008-09-23  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Bumped version to 2.24.0

2008-08-19  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (webcam_device_added): Replaced
	__attribute__((__unused__)) with GNUC_UNUSED, thanks to Jerry Yu
	for the patch.

2008-08-01  Matthias Clasen  <mclasen@redhat.com>

	* gnome-volume-properties.desktop.in: Overlooked one icon

2008-08-01  Matthias Clasen  <mclasen@redhat.com>

	Bug 545856 – use standard icon names

	* gnome-volume-manager.desktop.in.in:
	* src/properties.c: Use drive-optical as icon name.

2008-04-26  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Bumped version to 2.22.5

	* src/manager.c (gvm_hal_init): *Sigh*. Disable Eject event
	handling as well. Nautilus is supposed to handle this now too.

2008-04-26  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Bumped version to 2.22.4

	* src/manager.c: Disabled more stuff and fixed up other stuff.

	* src/properties.c: Disabled UI for iPod preferences. Apparently
	this is also now handled by Nautilus.

2008-04-22  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Bumped version to 2.22.3

	* src/properties.c: Conditionally disable automounting properties
	and remove them from the UI.

	* src/manager.c: Conditionally disable all of the auto-mounting
	code which Nautilus is now supposed to handle starting with GNOME
	2.22, as far as I understand...

2008-04-22  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c: Looks like we didn't have an AUTOMOUSE or
	AUTOMOUSE_COMMAND either, which I'm sure would have broken some
	stuff.

2008-03-31  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Bumped version to 2.22.2

	* src/manager.c (enum): Add AUTOKEYBOARD and
	AUTOKEYBOARD_COMMAND. Fixes bug #525345.
	(gvm_run_scanner): If we can't get the scanner.device property,
	try getting the parent's linux.device_file property. Loosely based
	on Martin Pitt's Ubuntu patch. Fixes bug #525353.

2008-01-18  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Bumped version to 2.22.1

	* Makefile.am: Set the autostartdir to the new xdg location as
	mentioned in bug #498994.

	* src/manager.c (main): Use a GOptionContext rather than
	popt. Fixes bug #327587.

2008-01-16  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_autorun_prompt): Oops, fix a type-o in the
	strncmp logic.

2007-12-06  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Bumped version to 2.22.0

2007-12-06  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (block_device_added): Check
	automount_enabled_hint. Fixes bug #475794.

2007-12-06  Jeffrey Stedfast  <fejj@novell.com>

	Fixes the relevant part of bug #451688 (gnome-mount is the
	preferred mechanism for mounting, the code in g-v-m is only a
	fallback).

	* src/manager.c: Disable the utmp fallback for non-linux systems
	as it won't compile on some of them. ConsoleKit is the future
	anyway.

2007-12-06  Jeffrey Stedfast  <fejj@novell.com>

	Fix for bug #499694

	* src/manager.c (gvm_hal_init): Protect against NULL error.message
	to prevent a crash on Solaris.

2007-12-06  Jeffrey Stedfast  <fejj@novell.com>

	Fixes bug #324159 and bug #400500

	* src/manager.c (gvm_user_is_local): Try querying ConsoleKit - if
	that fails, fall back to the old logic.
	(gvm_user_is_active): Query ConsoleKit to see if the user is
	active.

2007-10-13  Jeffrey Stedfast  <fejj@gnome.org>

	Fixes bug #398075

	* gnome-volume-manager.schemas.in: Added a filemanager entry to
	allow users to specify their own filemanager command.

	* src/manager.c (gvm_run_filemanager): New function to launch the
	file manager specified by the user.

2007-10-13  Jeffrey Stedfast  <fejj@gnome.org>

	* src/manager.c (gvm_statfs_check_space): Changed the wording for
	"/" so that the message isn't as confusing for typical
	users. Fixes bug #336863.

2007-05-03 David Farning <dfarning@gmail.com>

	* src/manager.c (gvm_prompt): Replaced custom theme code with
	gtk_image_new_from_icon_name. Fixes bug #435414.

2007-10-13  Jeffrey Stedfast  <fejj@gnome.org>

	* src/manager.c (gvm_statfs_check_space): Use the hal
	info.icon_name for low disk space notifications. Fixes bug
	#413926.

2007-10-13  Jeffrey Stedfast  <fejj@gnome.org>

	Fixes bug #413925

	* src/properties.c: Updated the icons table for gnome-icon-theme
	changes (newer/better icons have been added).
	(set_icon): Now takes a fallback icon that gets used if the
	preferred icon cannot be found.
	(theme_changed_cb): Updated.

	* src/manager.c: Use camera-photo instead of applets-screenshooter
	as the icon name for a few things.

2007-10-13  Jeffrey Stedfast  <fejj@gnome.org>

	* src/properties.c: We can use "input-tablet" from the
	gnome-icon-theme now rather than installing our own icon.

	* gnome-volume-manager.schemas.in: Set cheese as the autowebcam
	command. Fixes bug #473542.

2007-10-12  Frederic Crozat  <fcrozat@mandriva.com>

	* src/manager.c: Prevent unmounting ejected devices at shutdown.

2007-10-13  Jeffrey Stedfast  <fejj@gnome.org>

	* gnome-volume-manager.schemas.in: Set the default cd player to be
	gnome-cd. Fixes bug #485991.

2007-09-12  Jeffrey Stedfast  <fejj@gnome.org>

	* src/manager.c (gvm_autorun): Split out the autoopen code into
	its own function to reduce complexity.
	(gvm_autoopen): New function.
	(gvm_autorun_inf): Split out common code between autorun_inf and
	autoopen.
	(gvm_autorun_prompt): New function shared between autoopen and
	autorun_inf to simplify code.
	(autoopen_cb): Removed since it is nearly identical to autorun_cb.
	(autorun_cb): Handle more cases.

2007-09-11  Jeffrey Stedfast  <fejj@gnome.org>

	Fix for bug #475869, based on the patch from Frederic Crozat.

	* src/manager.c (hal_device_removed): If the device is in the
	device_table, then it was mounted before g-v-m was started, we
	need to unmount it to prevent danging mount points.
	(hal_property_modified: In the 'mounted' case, add the device to
	the device_table so that we can track whether or not it needs to
	be unmounted in hal_device_removed(). In the 'unmounted' case,
	remove entries from device_table.
	(mount_all): Add mounted volumes to device_table.
	(main): Init device_table.

2007-09-11  Jeffrey Stedfast  <fejj@gnome.org>

	* src/manager.c (autorun_inf_get): Handle lwsp before the '='.
	(autorun_cb): ctx->path, in this case, can actually be a
	command-line, so parse it into an argv.
	(gvm_autorun_inf): Handle values that contain command-line
	arguments.

2007-09-11  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_autorun): Make sure that the autorun file is
	a file and not a directory.

2007-09-11  Jeffrey Stedfast  <fejj@gnome.org>

	* src/manager.c (gvm_statfs_check_space): Use the mount_point in
	the string representing the volume too in order to disambiguate
	which volume it is (since several volumes may have the same
	label). Fixes bug #334541. Patch submitted by Martin Pitt.

2007-09-11  Jeffrey Stedfast  <fejj@gnome.org>

	* src/manager.c (gvm_autorun_inf): Convert DOS drive paths into
	Unix paths too.
	(gvm_autorun): Same.
	(gvm_check_dir): Check contents too to make sure it is
	non-empty. Fixes bug #345335.

2007-09-10  Jeffrey Stedfast  <fejj@gnome.org>

	* src/manager.c (autorun_cb): If the autorun binary ends in .exe,
	run under wine.
	(autoopen_cb): Same.
	(unix_path): New function to combine the mount point with a
	relative path (which may be in Windows format).
	(gvm_autorun): If none of the configured autorun programs are
	available, try parsing autorun.inf (if it exists).

2007-09-02  Rodney Dawes  <dobey.pwns@gmail.com>

	* MAINTAINERS: Update to use proper formatting

2007-08-17  Jeffrey Stedfast  <fejj@gnome.org>

	* src/manager.c (gvm_local_user): Fixed boolean logic grouping.

2007-04-16  Jeffrey Stedfast  <fejj@novell.com>

	Patch by Brian Cameron. Fixes bug #348716

	* src/properties.c (check_daemon): Exec
	LIBEXECDIR/gnome-volume-manager instead of
	BINDIR/gnome-volume-manager

	* gnome-volume-manager.desktop.in.in: Define the path to be
	libexecdir/gnome-volume-manager

	* Makefile.am: Generate gnome-volume-manager.desktop.in

2007-04-16  Jeffrey Stedfast  <fejj@novell.com>

	Patch to add webcam device support by Florian Boucault

	* gnome-volume-manager.schemas.in: Added webcam items.

	* src/properties.c: Added webcam items to the proper tables.

	* src/manager.c (gvm_run_webcam): New function to launch the
	webcam application.
	(webcam_device_added): New function to handle webcam devices.

2007-04-13  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (camera_device_added): Return FALSE if autocamera
	is unset.

2007-04-13  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (input_device_added): Don't return TRUE if the
	autorun program isn't enabled so that other input device handlers
	can have a chance to run.
	(printer_device_added): Only return FALSE if autoprinter is not
	set.
	(scanner_device_added): New function.
	(gvm_run_scanner): New function.

2007-04-13  Jeffrey Stedfast  <fejj@novell.com>

	Based on Brian Cameron's patch for bug #400501.

	* src/manager.c (gvm_hal_claim_branch): Claim local device events
	so that other device managers based on HAL cannot.
	(gvm_hal_init): Call gvm_hal_claim_branch().

2007-04-13  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Simplify --with-console-auth-dir check, thanks to
	Saleem Abdulrasool. Fixes bug #380701.

2007-03-15  Christian Kirbach  <Christian.Kirbach@googlemail.com>

	* gnome-volume-properties.desktop.in: Remove invalid category
	"Application", add GTK. (#417355)

2007-01-26  Hans Petter Jansson  <hpj@novell.com>

	* src/manager.c: Initialize dbus_connection to NULL, closing GNOME
	bug #401119.

2007-01-24  Glynn Foster  <glynn.foster@sun.com>

	* src/properties.c (main): Fix up string so that we're not just a
	  piece of Linux software. Other part of #340485.

2007-01-22  Brian Cameron  <brian.cameron@sun.com>

	* src/gvm.h, src/clipboard.c, src/manager.c, src/properties.c:
	  Fixes to compile gnome-volume-manager with Sun Studio compiler.
	  Fixes bug #340485.

2007-01-20  Jeffrey Stedfast  <fejj@gnome.org>

	* src/manager.c: Changed the wording of some dialog titles to fix
	bug #361100.

	* gnome-volume-properties.desktop.in (OnlyShowIn): Added
	HardwareSettings. Fixes bug #397712.

2006-11-07  Robert Love  <rml@novell.com>

	* configure.in: Bump version to 2.17.0.  I neither like nor approve of
	  this version numbering convention.

2006-10-12  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_device_mount): Allow setting default mount
	options for all filesystem types ("*").

2006-08-15  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Fix intltool req.

2006-08-11  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_local_user): Continue using CONSOLE_AUTH_DIR
	and only fallback to utmp if this fails.

2006-08-07  Kjartan Maraas  <kmaraas@gnome.org>

	* src/manager.c (gvm_statfs_check_space): Mark a string for
	translation. Patch from Gabor Kelemen. Closes bug #332628.

2006-07-31  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Bumped version to 2.15.0. Like zomg, version bloat.

	* src/manager.c (gvm_local_user): Renamed from
	gvm_user_at_console() and updated to use utmp.

	* gnome-volume-manager.glade: s/disks/discs/, at least a partial
	fix for bug #349194.

2006-07-20  Jeffrey Stedfast  <fejj@novell.com>

	* src/properties.c: Added Auto-Open

	* src/manager.c (gvm_device_mounted): Handle all media-player
	devices with photos, not just iPods. Fixes bug #345335.
	(gvm_autorun): Implemented Auto-Open. Fixes bug #338324.

2006-07-20  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_device_mount): Set the fmask option for vfat
	to remove the exec bit.

2006-04-14  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_user_at_console): Work with pam_forground (as
	well as pam_console). Fixes bug #336932.

2006-04-14  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: AC_SUBST the libnotify cflags/libs. Fixes bug
	#337839.
	(ALL_LINGUAS): Use LINGUAS to close out bug #337926.

	* src/manager.c (autorun_cb): Spawn from ctx->mount_point instead
	of the user's home directory. Fixes bug #338323.

2006-04-03  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_cdrom_policy): Optimised the code ordering a
	bit.

2006-03-28  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_device_mount): Added noexec for fat
	filesystems and noatime for udf.
	(block_device_added): If the partition table is changing, then we
	don't want to mount the device.

2006-03-25  Tommi Vainikainen  <thv@iki.fi>

	* configure.in (ALL_LINGUAS): Added Dzongkha (dz).

2006-03-21  Rodney Dawes  <dobey@novell.com>

	* src/manager.c (gvm_statfs_check_space): Calculate what 2GB would be
	in the block size for the device, and only show the notification if
	the number of available blocks is less than 2GB worth of blocks, as
	well as the % of available blocks being less than the threshold value

	Fixes Novell bug #153338

2006-03-20  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (hal_property_modified): If a volume is not in our
	mount queue, ignore is_mounted status changes. Fixes Novell bug
	#158750.

2006-03-20  Vladimer Sichinava  <vlsichinava@gmail.com>

	* configure.in: Added "ka" (Georgian) to ALL_LINGUAS

2006-03-14  Jeffrey Stedfast  <fejj@novell.com>

	Fixes for bug #334540.

	* src/manager.c (statfs_mount_info_remove): New convenience
	function to remove the info from the hash table.
	(hal_property_modified): Use statfs_mount_info_remove() to make
	the code cleaner.
	(statfs_mount_info_add): Moved more logic in here (like checking
	that the udi isn't a cdrom device and that it isn't already in the
	table. This simplifies our callers a bit. Also added a check to
	see if the volume is mounted read-only - if so, don't watch it.

2006-03-10  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Bumped version to 1.5.15

	* src/manager.c (gvm_statfs_check_space): Only set last_notified
	if we actually notify the user. This might solve the last part of
	the issue in bug #332764.

2006-03-09  Rodney Dawes  <dobey@novell.com>

	* gnome-volume-manager.schemas.in: Get rid of the percent_freed
	setting, as it really doesn't make sense to have it
	Change the percent_threshold default to 0.05
	Change the percent_used default to 0.01
	These changes are based on a 100GB disk drive metric, where 5% is still
	a fairly large value, being 5GB. This may still be an issue for smaller
	disk drives such as USB Flash keys, so it still needs some testing

	* src/gvm.h (struct gvm_configuration): Remove percent_freed

	* src/manager.c (gvm_statfs_check_space): Check that the the amount
	of space used since the last check is greater than the percent_used
	threshold properly
	Check if we passed the percent_threshold value regardless of whether
	we used up more than percent_used or not
	Remove the code to check for disk space being freed up, as it doesn't
	really make sense to have it here

	Fixes #332764

2006-03-09  Rhys Jones  <rhys@sucs.org>

	* configure.in: Added "cy" (Welsh) to ALL_LINGUAS.

2006-03-08  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (block_device_added): Check volume.ignore instead
	of storage.automount_enabled_hint as the hint is always
	true. Fixes Novell bug #154381.
	(mount_all): Same.
	(gvm_automount_enabled): Removed.

2006-03-07  Jeffrey Stedfast  <fejj@novell.com>

	Fix for bug #331689

	* configure.in: Conditionally allow disabling run-time multiuser
	checks.

	* src/manager.c (gvm_user_at_console): Only do our logic if the
	build has ENABLE_MULTIUSER defined.

2006-03-06  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c: Shuffled around #ifdef ENABLE_NOTIFY's such that
	none of the functions were even defined if built without inotify
	support.

2006-03-06  Robert Love  <rml@novell.com>

	* Makefile.am: Move install autostart file in right place.

2006-03-01  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (sigterm_iochn_data): Don't destroy the
	statfs_mounts hash table here too. Fixes bug #332762.

2006-02-28  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Bumped version to 1.5.14

2006-02-24  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c: Changed all accelerators for Ignore to 'n' rather
	than 'I' to fix bug #326955.
	(gvm_dbus_init): Initialise the dbus connection and add a filter
	callback function so we can listen for the "Disconnected"
	signal. We no longer intergrate with the g_main loop.
	(gvm_hal_init): Renamed from gvm_do_hal_init() - basically exactly
	the same, only we now call gvm_dbus_init() rather than the old
	hal_mainloop_integration function that was replaced by
	gvm_dbus_init(). We now also have to set the dbus_connection on
	the hal context ourselves.
	(gvm_dbus_filter_function): Catch the disconnected signal and
	setup a timeout to reconnect to DBus.
	(reinit_dbus): Re-init DBus and then HAL.

2006-02-19  David Zeuthen  <davidz@redhat.com>

	* src/manager.c (mount_all, block_device_added): Support encrypted
	file systems

2006-02-10  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Bumped version to 1.5.13

2006-02-10  Rodney Dawes  <dobey@novell.com>

	* configure.in: Add a check for enabling low disk notifications

	* gnome-volume-manager.schemas.in: Add schema values for tweaking the
	percentage values for low disk notification handling

	* src/Makefile.am: Add the NOTIFY_{LIBS,CFLAGS} variables in

	* src/gvm.h: Add the emacs mode line for proper tab width
	(struct gvm_configuration): Add variables for storing the new settings
	from gconf for tweaking percentage values for notification handling

	* src/manager.c: Add the emacs mode line for proper tab width
	Include sys/vfs.h and libnotify/notify.h if notifications are enabled
	Add a new hash table and timeout id for our statfs handling
	(enum type_t): Add the TYPE_FLOAT type for our new settings
	(config): Add the bits to load the new float settings
	(struct _statfs_mount_info): New struct to keep state on volumes, so
	that we don't constantly notify the user of low disk space
	(gvm_load_config, gvm_config_changed): Handle the new percentage type
	settings and limit their values to 0.0 <= x <= 1.0
	(gvm_udi_is_cdrom): New method to determine if a device udi is a cdrom
	drive or not, so that we don't notify users of full cdrom/dvd discs
	(gvm_media_changed): Replace the cdrom drive type checking with the
	gvm_udi_is_cdrom () method call
	(hal_property_modified): If a non-cdrom device was mounted, add it to
	the hash table to check for free disk space
	And if a non-cdrom device was unmounted, remove it from the hash table
	(mount_all): Handle adding already mounted volumes to the hash table
	for free disk space checking, whether they be subfs or not
	(sigterm_iochn_data, gvm_die): If notifications are enabled, then we
	need to clean up the timeout and hash table
	(gvm_statfs_check_space): New callback for looping through the hash
	table to check for free disk space, and notify the user if low
	This method always returns FALSE if notifications are not enabled
	(gvm_statfs_timeout): The timeout callback to loop through the hash
	This timeout immediately gets disabled and only returns FALSE if the
	notifications are not enabled
	(main): If notifications are enabled, then intialize the notification
	daemon, and hash table for storing information about the volumes
	Add a timeout to notify the user of low disk space availability

2006-02-10  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_device_mount): Pass the utf8 or iocharset=
	options to mount if available.

2006-02-07  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_device_mount): If the flush mount option is
	available, use it instead of the sync mount option.

2006-02-02  Jürg Billeter  <j@bitron.ch>

	* Makefile.am: Added autostart files to EXTRA_DIST resp. CLEANFILES

2006-02-01  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Bumped version to 1.5.12

	* src/manager.c (main): Let libgnome do our option parsing for us
	using popt, this fixes the problem where the libbonoboui option
	parsing would kick in after its module-info post_args_parse code
	cleaned up init_info thus causing the crash in bug #327587.

2006-01-24  Jeffrey Stedfast  <fejj@novell.com>

	* gnome-volume-properties.desktop.in (Categories): Added GNOME to
	the categories.

	* src/manager.c (main): s/recogonized/recognized/

2006-01-23  Jeffrey Stedfast  <fejj@novell.com>

	* Makefile.am: Added autostart foo.

	* gnome-volume-manager.desktop.in: Added

2006-01-23  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Bumped evrsion to 1.5.11

	* src/manager.c (gvm_device_mount): Modified to always pass fstype
	as empty-string.

2006-01-20  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Bumped evrsion to 1.5.10

	* src/manager.c (main): If GOption is available, use that instead
	of popt to work around bug #327587 (afaik, it's a bug in popt or
	libgnome-2.13 and not g-v-m, but easy to work around and GOption
	is kinda nice).
	(gvm_device_mount): Copy some of the mount-option logic from
	gnome-mount - like the uid= option.

2006-01-19  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_device_mount): Instead of taking 2 args which
	were always going to be inverse bool values ('apply_policy' and
	'supress_ui'), simply take a single bool 'interactive'.

2006-01-19  John (J5) Palmieri  <johnp@redhat.com>

	* src/manager.c (main): Use GOptions instead of the popt API
	  for parsing command line arguments to fix a crash

2006-01-17  David Zeuthen  <davidz@redhat.com>

	* src/manager.c (gvm_device_mount): Take an extra argument that
	says whether the mount program should suppress error dialogs
	(cda_extra_cb, gvm_ask_mixed, gvm_cdrom_policy)
	(block_device_added): Pass FALSE to gvm_device_mount() to specify
	that we want dialogs
	(mount_all): Pass TRUE to gvm_device_mount() to specify
	that we don't want dialogs

2006-01-12  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in Bumped version to 1.5.9

	* gnome-volume-manager.glade: Changed iPod to Portable Music
	Players to be more generic.

	* src/manager.c (gvm_device_mount): If gnome-mount is in the
	user's PATH, use it rather than our own internal implementation.
	(gvm_device_unmount): Same.
	(gvm_device_eject): Same.
	(hal_device_condition): Split the eject handling code out into
	it's own function, gvm_device_eject().
	(gvm_udi_is_portable_media_player): New function to check for
	generic media players (along with iPods).
	(gvm_run_portable_media_player): Renamed from gvm_run_ipod().
	(ipod_photo_cb): Updated to call gvm_run_portable_media_player().
	(gvm_device_mounted): Handle both iPods and generic portable media
	players.
	(media_player_device_added): New callback for portable media
	player devices being connected.

2006-01-09  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c: Added autokeyboard*, automouse*, and autotablet*
	settings to the gconf settings table as they were not already
	there somehow... (oops).

2006-01-06  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (mount_all): If the drive isn't removable and/or
	is not hot-pluggable, check the automount enabled hint to decide
	if the volume should be mounted. This should prevent mounting of
	volumes that we shouldn't be mounting.
	(gvm_running_on_console): Removed.
	(main): Revamped rml's --no-daemon patch to use popt and added
	more fun and exciting argument flags.
	(gvm_user_at_console): New function to check that the user is
	logged-in at the console using a similar check to dbus.
	(gvm_user_active_at_console): Placeholder function to decide if
	the user's session is the active session at the console. Currently
	always returns TRUE.
	(hal_device_condition): Check that the user is the active console
	user.
	(hal_property_modified): If a volume is mounted and it's not in
	our mount queue and the user isn't active at the console, do
	nothing.
	(hal_device_added): Check that the user is the active user.

2006-01-05  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Bumped version to 1.5.8

	* src/manager.c (gvm_device_mount): Applied a patch from J5 to fix
	bug #324618.

2006-01-04  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Patch by Matthias Clasen to add
	--enable/disable-debug to fix bug #320997.

	* src/gvm-dev-tablet.png: Added to fix bug #318637.

	* src/properties.c: Changed tablet icon to be a file path.
	(set_icon): If the icon name is a full path, load the image from a
	file instead of from a theme.

	* src/manager.c (mount_all): Set mount = FALSE each pass thru the
	loop before doing the logic to decide if we should mount.

2005-12-19  Robert Love  <rml@novell.com>

	* configure.in: Bump version to 1.5.7

2005-12-19  Robert Love  <rml@novell.com>

	* src/manager.c: By default, daemonize via daemon().  Add "--no-daemon"
	  option to disable this.

2005-12-19  Robert Love  <rml@novell.com>

	* configure.in: remove "-Wcast-qual" as it generates a bit of noise.

2005-12-12  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Bumped version to 1.5.6

2005-12-09  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_device_mount): Updated to the changes in the
	method signature (which has changed to
	string,string,array:string). Also pass the sync mount option if
	the device is smaller than 256M.
	(gvm_device_unmount): Method name changed to Unmount rather than
	UnMount.

2005-12-07  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Bumped version to 1.5.5

	* src/gvm.h: Removed [un]mount_command and eject_command strings.

	* gnome-volume-manager.schemas.in: Removed the mount_command,
	unmount_command and eject_command keys, these are no longer used.

	* src/manager.c (gvm_device_mount): Rewrote to use the new HAL
	Mount dbus method.
	(gvm_device_unmount): Rewrote to use the new HAL UnMount method.
	(unmount_all): Simplified since we no longer need the block.device
	(gvm_load_config): Removed special-case [un]mount
	command gconf setting handling code.
	(gvm_config_changed): Same.
	(hal_device_condition): Handle the eject event by
	invoking the Eject() method on HAL via dbus.

2005-10-27  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Bumped version to 1.5.4

2005-10-26  Jeffrey Stedfast  <fejj@novell.com>

	* gnome-volume-manager.schemas.in: Added mount_command and
	unmount_command keys.

	* configure.in: Instead of allowing compile-time command-lines be
	specified for mounting/unmounting, instead allow specification of
	only the command-line options for mount and pmount. G-V-M will now
	do run-time analysis of which program to use, overrideable by the
	user via gconf keys.

	* src/manager.c (gvm_device_mount): Modified to user a
	user-defined mount command or, failing that, falls back to
	pmount-hal and then back to mount. No longer depends on a mount
	command being specified at configure-time.
	(gvm_device_unmount): Same but for unmount commands.

2005-10-19  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_autorun): Fixed a type-o, autobrowse should
	default to TRUE not FALSE.

2005-10-18  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_check_vcd): Fixed a type-o.

2005-10-17  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_cdrom_policy): Determine if the cdrom media
	is writable in a different way to solve bug #128081.
	(input_device_added): Only set handled to TRUE if the command was
	configured to run.

2005-10-14  Jeffrey Stedfast  <fejj@novell.com>

	* src/properties.c (show_props): Updated to use GtkIconTheme and
	listen to theme changes. Fixes bug #318683.

	* src/manager.c (prompt_response_cb): Remove ourselves from the
	dialog hash.
	(gvm_prompt): Add ourselves to the dialog hash.
	(hal_device_removed): If there's a dialog prompting the suer what
	to do with the device that was just removed, cancel the dialog
	prompt.
	(gvm_prompt): Changed to use GtkIconTheme instead of GnomeIconTheme.

2005-10-04  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Bump version to 1.5.3

	* src/manager.c: What used to be referred to as PTP cameras are
	now just "cameras" and what sued to be "camera" is now "storage
	camera" and so some renaming of enums and function names has been
	done.
	(gvm_udi_is_camera): Instead of checking that the access_method is
	"ptp", check that the access_method is simply not "storage". Also
	added smarts for compatability with the current broken libgphoto2
	fdi files... hopefully someday they'll get fixed to either comply
	with HAL's camera.* attribute specs or the ones I proposed to the
	list.

2005-10-04  Robert Love  <rml@novell.com>

	* configure.in: bump version tp 1.5.2
	* src/manager.c: Discs are "blank" not "empty"; fix 'uninitialized var'
	  warning in hal_device_added().

2005-09-29  Jeffrey Stedfast  <fejj@novell.com>

	* src/properties.c: Added support for new PocketPC settings.

	* src/manager.c: Added support for new PocketPC settings.
	(pda_device_added): Handle pocketpc devices.

2005-09-27  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_running_on_console): New function to decide
	if g-v-m is on the system console.
	(main): If not on the system console, exit (no sense running).

2005-09-16  Jeffrey Stedfast  <fejj@novell.com>

	Fix for bug #316486

	* src/manager.c (gvm_device_mount): Now takes an argument as to
	whether policy should be applied once mounted.
	(cda_extra_cb): Updated.
	(gvm_ask_mixed): Updated.
	(gvm_cdrom_policy): Updated.
	(block_device_added): Updated.
	(hal_property_modified): Only apply policy if specified to do so.
	(mount_all): Updated.

2005-08-30  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Bumped version to 1.5.1

2005-08-25  Jeffrey Stedfast  <fejj@novell.com>

	* gnome-volume-properties.glade: Made all items use
	GtkFileChoosers instead of GtkFileSelectionDialogs.

	* src/manager.c (gvm_udi_is_ptp_camera): Disabled the camera
	capability query since this function is only ever called when the
	camera capaqbility has already been found on the device.

2005-08-24  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (hal_device_added): Modified so that device
	handlers take a capability argument as well as returning
	TRUE/FALSE for whether or not they've handled the device.
	(input_device_added): Optimised to use the matched capability from
	hal_device_added() to decide what to do rather than doing our own
	query for the same info.
	(to_be_or_not_to_be): Iterate over all settings with a nice loop
	to decide if we need to live or die.

2005-08-24  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (hal_device_added): Optimised by calling
	libhal_device_get_property_strlist() with the key
	info.capabilities to avoid all the extra overhead of calling
	libhal_device_query_capability() for each of the capabilities that
	we can handle.

2005-08-24  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Updated to require hal >= 0.5.4 (we need the pda
	fixes included with this release)

	* src/manager.c (hal_device_added): Rewrote to be table-driven.

2005-08-23  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_run_palmsync): New function to exec the palm
	sync program.
	(hal_device_added): Detect palm devices being connected. Also
	removed the redundant 'char *device' variable.

	* src/properties.c: Added Palm-Pilot UI stuff.

2005-08-22  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_check_dir): Need to NULL terminate
	g_build_filename varargs, duh.

2005-08-19  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Bumped version to 1.5.0

2005-08-16  Jeffrey Stedfast  <fejj@novell.com>

	* gnome-volume-manager.schemas.in: Removed the
	autoburn_photo_cd_command item. Added burn_cd/burn_dvd prompt
	items. Also changed the eject command to "/bin/eject %d" so that
	it actually works (eject without an arg tries to eject /dev/cdrom
	which may or may not be what we want to eject).

	* src/properties.c: Removed the autoburn_photo_cd_command stuff.

	* src/manager.c: Many wording changes to the user prompts. Removed
	autoburn_photo_cd stuff.
	(gvm_prompt): Fixed various padding/spacing issues to make all
	dialogs comply with the HIG. Also make sure to not save the user
	response if they cancel the dialog. Other changes include taking
	argc/argv instead of varargs and allowing secondary text to
	contain mockup.
	(gvm_run_cdburner): Remove the BURN_PHOTO_CD case.
	(hal_device_added): For the PTP Camera case, use its own camera
	prompt (which does not have the "Open Folder" choice).
	(gvm_device_mounted): In the USB Mass-Storage camera case, handle
	the case where the user selects "Open Folder".

	* src/gvm.h: Removed the burn_photo_command member.

2005-08-19  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_check_dir): New function to check for the
	existance of a directory in a case-insensitive manner.
	(gvm_check_dvd): Use gvm_check_dir()
	(gvm_check_vcd): New function to detect a VCD
	(gvm_autorun): Check for VCDs here too.
	(gvm_check_photos): Use gvm_check_dir()

2005-08-18  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_autorun): Free the path on access failure.

2005-08-18  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Bumped version to 1.3.5

2005-08-15  Jeffrey Stedfast  <fejj@novell.com>

	* gnome-volume-manager.schemas.in: Changed the default CD player
	to `totem %d` rather than gnome-cd since apparently gnome-cd is a
	dead project. Also disabled cd burning and defaulted all the
	command-lines to use nautilus' cd burning command-line. Also
	disabled autoipod and autophoto since Mono apps aren't included in
	gnome-core. Also disabled autokeyboard and automouse seeing as how
	yast2 is very distro-specific. Also disabled autovideocam seeing
	as how Kino also isn't a gnome-core app.

2005-08-12  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (hal_property_modified): Call gvm_device_mounted()
	even if the udi wasn't in our mount queue.
	(gvm_prompt): Fix expand/fill arguments for box_pack_start for all
	widgets so things look nicer. Also disable label selection (these
	aren't error dialogs).

2005-08-10  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (hal_device_added): Don't call
	gvm_device_mounted() in the subfs case, we'll get a "mounted"
	event when subfs mounts it.
	(gvm_ask_mixed): Same.
	(gvm_cdrom_policy): Same.

2005-08-10  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_device_is_writer): Return the type of burner
	the device is (cd vs dvd) if it is a burner.
	(gvm_run_cdburner): Change our prompt depending on what type of
	burner device it is.
	(gvm_cdrom_policy): Pass the returned type from is_writer() to
	run_cdburner()

	* gnome-volume-properties.glade: Added TM to iPod label.

2005-08-09  Jeffrey Stedfast  <fejj@novell.com>

	* gnome-volume-manager.schemas.in: Change the autoplay_dvd default
	to true - it makes sense to default the same as autoplay_cda and
	it's likely to be expected by users. Also changed autobrowse to
	true and autorun to false.

2005-08-08  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (mount_all): Fixed some if-logic.

2005-08-03  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c: Reword the CD-Extra prompt to be less
	confusing. Fixes bug #308856.

2005-08-03  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c: Capitalise CD in the user prompt dialog
	strings. Fixes bug #311622.

	* gnome-volume-manager.schemas.in: Fixed the iPod long
	description.

	* src/properties.c (main): s/applet/application/ - fixes bug
	#168515.

2005-07-29  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Removed the --enable-submount option.
	Bumped version to 1.3.4

	* src/manager.c (hal_device_added): Check info.callouts.ad for
	hald-block-subfs to see if submount will handle mounting this
	volume.
	(hal_property_modified): Only record mounted volumes that were in
	our mount queue (e.g. don't record them if submount mounted them
	or they were mounted manually by the user) - allows us to get rid
	of the nasty #ifdef's.
	(unmount_all): Remove #ifdef's, no longer needed.
	(mount_all): Check for subfs flags so that we don't mount anything
	that subfs plans on handling.
	(sigterm_iochn_data): Always call unmount_all()
	(gvm_die): Same.
	(main): Always call mount_all().
	(gvm_device_mount): Take care of adding the udi to the mount table
	here to remove the need to do it manually every place we are
	called.
	(gvm_cdrom_policy): Remove #ifdefs for subfs, use our hal flag
	check instead.
	(gvm_run_command): Fixed - we can't get the exit status of the run
	program, we were getting the pid and using that as the exit status
	- oops. Instead, return TRUE or FALSE based on whether or not
	g_spawn_async() worked.
	(gvm_device_mount): Fixed to handle run_command's new return
	values.
	(gvm_device_unmount): Same.

2005-07-29  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_udi_is_camera): We can't check the volume udi
	for the camera property, we have to check the physical device udi.
	(gvm_udi_is_ptp_camera): Check that the string property,
	camera.access_method, is "ptp" instead of checking the bool
	property, camera.libgphoto2_support which doesn't exist.

2005-07-29  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_udi_is_camera): No longer takes a
	check_gphoto2 arg - now just a basic camera check.
	(gvm_udi_is_ptp_camera): Checks to see if the camera is a PTP
	camera (checks that the camera.libgphoto2_support property exists
	and is set to TRUE - if unset, return whether or not the device is
	a camera).
	(hal_device_added): Use gvm_udi_is_ptp_camera() instead.

2005-07-22  Jeffrey Stedfast  <fejj@novell.com>

	* src/gvm.h: Added more variables.

	* src/manager.c (gvm_udi_is_printer): Removed.
	(hal_device_added): Do the printer capability query here instead,
	since it's so simple to do. Also query for input devices and run
	commands if appropriate.

	* src/properties.c: Added scanners, mice, keyboards, tablets, and
	video-cams to the table.

2005-07-11  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Bumped version to 1.3.3

2005-07-08  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_device_mounted): Need to pass
	mount_point/iPod_Control to the check_photos() routine or it won't
	find a DCIM directory.

2005-07-05  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c: Changed mounted_volumes_policy_queue linked list
	into a hash table instead (why was this ever a linked list? it
	just served as a lookup table).

2005-07-05  Jeffrey Stedfast  <fejj@novell.com>

	Based on a patch from Ubuntu developers.

	* src/manager.c (gvm_automount_enabled): New function to check
	HAL's automount_enabled_hint property on devices.
	(hal_device_added): Only mount the device if automount is enabled.

2005-07-05  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (mount_all): Check whether we should mount the
	drive based on the user's auto-mount settings. Based on a patch by
	Ubuntu developers.

2005-07-05  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c: Use strcmp instead of g_ascii_strcasecmp() where
	appropriate (comparing hal keys and udi's).

	* src/properties.c (main): Make a note that the user needs kernel
	2.6 for it to work.

2005-07-05  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_media_changed): Return TRUE if we handled the
	device or FALSE otherwise. Remove the mounting code.
	(hal_device_added): Don't check if the device is mountable before
	calling gvm_media_changed, that's kinda the point. If
	gvm_media_changed doesn't handle the device, THEN we can mount it
	if it is mountable.

2005-06-30  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Bumped version to 1.3.2

	* src/manager.c: #include dbus-glib-lowlevel.h to rid ourselves of
	that annoying warning about dbus_connection_setup_with_g_main()
	being undeclared.
	(gvm_device_is_writer): Rewrote as a loop to make this code more
	readable and more easily extended later - just ad an item to the
	list to check!

2005-06-29  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_run_cdplayer): Don't check autoplay_cda here,
	simply run the command if one is set.
	(gvm_cdrom_policy): Check autoplay_cda before calling
	gvm_run_cdplayer()
	(gvm_run_command): We can't get the device if it wasn't passed to
	us (not all are block devices).

	* src/properties.c (show_props): Set the icon for the printer.

2005-06-28  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_check_photos): Rewritten to check all
	case-variants of the dcim directory by scanning the mount point.

	Fixes to make it so that pluging in an iPod-Photo won't first
	prompt sync-music vs import-photos and then ask the user again if
	she'd like to import photos. Should also fix bug #155638.

	* src/manager.c (gvm_run_camera): Simplify. Don't prompt here,
	just run the command. Make our callers do the prompting.
	(gvm_autorun): Pass arguments in the proper order to
	gvm_check_dvd().
	(gvm_autorun): Do the photo-import prompting here.
	(gvm_run_ipod): Don't check autoipod here, leave that to our
	caller(s).
	(gvm_device_mounted): Check autophoto and autoipod here. Also, in
	the case of cameras, prompt for photo-import.

2005-06-27  Jeffrey Stedfast  <fejj@novell.com>

	Make sure that notification of changed-but-unwatched gconf keys
	don't confuse us into changing the state of the first watched
	gconf value.

	* src/properties.c (show_props): Make sure that no item in the
	hash table has a value of 0.
	(gconf_changed_cb): Updated for change.

	* src/manager.c (gvm_load_config): Make sure that no item in the
	hash table has a value of 0.
	(gvm_config_changed): Updated for change.

2005-06-27  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_run_cdplayer): Fixed the order of arguemnts
	to be the same as everything else (oops, missed this one before).
	(hal_device_added): Don't abort simply because a volume isn't
	mountable or the fsusage isn't "filesystem". We need to work for
	audio cds too. Fix this by keeping track of the media's
	mountability.
	(gvm_prompt): Can't call g_error_free() on NULL. Also make sure to
	keep the reference to the image widget, duh.
	(gvm_prompt): Move the label creation to *after* we add the
	secondary text, doh!

2005-06-27  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (hal_device_added): Check the fsusage, don't mount
	if it's not "filesystem". Avoids mounting the non-mountable volume
	on iPods.
	(gvm_udi_is_ipod): Check the storage_device for iPod info, not the
	mountable volume udi we are given.

2005-06-23  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_run_cdburner): Fixed order of arguments.

2005-06-22  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Allow mount and unmount commands to be specified.

	* src/manager.c (gvm_run_command): Return the exit status of the
	command invoked.
	(gvm_device_mount): Now takes udi and mount_point arguments and
	calls gvm_run_command() to invoke the mount command.
	(gvm_device_unmount): Now takes udi and mount_point arguments and
	calls gvm_run_command() to invoke the unmount command.
	(gvm_ask_mixed): Fixed for gvm_device_mount() changes.
	(gvm_cdrom_policy): Same.
	(gvm_media_changed): Same.
	(hal_device_added): Same.
	(mount_all): Same.
	(unmount_all): Updated for changes to gvm_device_unmount().

2005-06-22  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c: Make all functions that take a udi, device, and
	mount_point argument use a consistant order: udi, device,
	mount_point.
	(main): Use g_signal_connect() rather than gtk_signal_connect()
	since the latetr is deprecated since gtk2.
	(gvm_run_command): Free the GError on error.
	(gvm_run_command): Changed the order of the arguments to be a
	little more logical (well, at least to me).
	(gvm_run_command): Rewrote the loop to not require a strdup of the
	command string and also fixed it such that the mount_point string
	gets properly shell quoted so that mount points with spaces will
	work as well as fixed to handle %% and properly handle other
	unknown %-cases to avoid getting into an infinite loop.
	(mount_all): Don't leak the fsusage property string.

2005-06-21  Jeffrey Stedfast  <fejj@novell.com>

	* gnome-volume-manager.schemas.in: Make Sonance the default app
	for ipods.

	* src/manager.c: Add gconf keys for "don't ask me again"
	checkboxes in the table of prompts.

2005-06-17  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_prompt): New function to prompt users (with
	the ability to save responses to prevent further pestering of the
	user if they choose "do not ask again").

2005-06-16  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_check_photos): Don't launch the camera app
	here, let our caller do that.
	(gvm_autorun): if gvm_check_photos() returns TRUE, launch the
	camera app.

2005-06-14  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Instead of defaulting the mount/umount/nautilus
	paths to "no", default them to the command name (maybe it'll even
	work, whereas otherwise we run the command "no" which might never
	stop executing (think: `yes n`)). Also added a new configure
	option for ASSUME_SUBMOUNT.

	* gnome-volume-properties.glade: Added ipod settings.

	* gnome-volume-manager.schemas.in: Added ipod settings.

	* src/properties.c: Added the iPod config options to the table.
	(show_props): Load gnome-icon-ipod for the ipod icon.

	* src/manager.c: Conditionally disable the code that
	mounts/unmounts devices if ASSUME_SUBMOUNT is defined.
	(gvm_run_command): Instead of erroring when a parameter is
	unavailable, just replace it with an empty string so that at least
	it's possible that the program runs.
	(gvm_ask_autorun): Pass the path argument to the dialog string.
	(gvm_udi_is_camera): Function to detect cameras given a UDI
	(gvm_udi_is_ipod): Same but for iPods
	(gvm_run_camera): Handle prompting the user for both actual
	cameras and storage devices containing a dcim directory (no need
	to duplicate the code).
	(gvm_check_photos): Modified to call gvm_run_camera()
	(gvm_device_mounted): New function that does magic on mounted
	devices to see what they are and act accordingly. Split out from
	hal_property_modified().
	(hal_device_added): In the case that the device is not a
	mass-storage device, check if it is a camera (to support PTP
	cameras).
	(hal_property_modified): Call gvm_device_mounted().

2005-06-07  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (hal_property_modified): Use g_ascii_strcasecmp
	instead of g_strcasecmp as the latter is deprecated.

2005-06-18  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "he" to ALL_LINGUAS.

2005-06-01  Jeffrey Stedfast  <fejj@novell.com>

	* gnome-volume-properties.glade: Renamed various widgets to match
	their gconf key names to make it easier to make the code
	table-driven on gconf keys.

	* src/properties.c: Changed to be table-driven like manager.c
	which more easily allows us to save single setting chanegs rather
	than re-saving all settings whenever any setting changes.

2005-05-26  Jeffrey Stedfast  <fejj@novell.com>

	* src/manager.c (gvm_config_changed): Instead of free()ing all the
	settings and then reloading everything from scratch, just update
	the changed setting.
	(gvm_load_config): Changed to allow more easier setting updates
	(everything is now table-driven)
	(to_be_or_not_to_be): Split out from gvm_load_config()

2005-04-11  Rajesh Ranjan  <rajeshkajha@yahoo.com>

	* configure.in: Added "hi" (Hindi) to ALL_LINGUAS.

2005-04-06  Roozbeh Pournader  <roozbeh@farsiweb.info>

	* configure.in: Added "fa" (Persian) to ALL_LINGUAS.

2005-03-31  Steve Murphy  <murf@e-tools.com>

        * configure.in: Added "rw" to ALL_LINGUAS.

2005-03-31  Robert Love  <rml@novell.com>

	* src/manager.c: more grammar crap.

2005-03-31  John (J5) Palmieri  <johnp@redhat.com>

	* release version 1.3.1

2005-03-30  Robert Love  <rml@novell.com>

	* gnome-volume-manager.schemas.in: fix bug #172035
	* src/manager.c, src/properties.c: fix a bunch of warnings
	* gnome-volume-manager-spec.in: update
	* configure.in: bump version to 1.3.1

2005-03-23  Adi Attar  <aattar@cvs.gnome.org>

	* configure.in: Added 'xh' to ALL_LINGUAS.

2005-03-10  John (J5) Palmieri  <johnp@redhat.com>

	* README, configure.in: bumped libhal requirements to >= 0.5.0 
	  and libdbus* requirements to >= 0.31

	* src/manager.c, src/properties.c: updated to the new HAL 0.5.0 API 

2005-03-07  Robert Love  <rml@novell.com>

	* configure.in: branch for development, this is 1.3.0 now

2005-03-07  Robert Love  <rml@novell.com>

	* configure.in: bump version to 1.2.0

2005-02-01  Dennis Cranston <dennis_cranston@yahoo.com>

	* gnome-volume-properties.glade:  Two HIG corrections:  Padding 
	between dialog's action area and dialog's vbox should be 12 pixels. 
	Small capitalization fix, "discs" -> "Discs".

2005-02-01  Robert Love  <rml@novell.com>

	* configure.in: bump version to 1.1.3
	* README: changes
	* src/manager.c: consistently use "photos" not "photographs" (#165783);
	  better wording (#165789, #165787, #165785, #165784)
	* NEWS: update

2005-01-23  Luca Ferretti  <elle.uca@libero.it>

	* Fix name and comment in .desktop
	* Fix spacing, layout, icons and maybe labels in capplet
	* Switch to GtkMessageDialog API and use HIG compliant
	  primary/secondary messages
	* Switch to gtk_window_set_default_icon_name
	* maybe other :-)

2005-01-14  Pawan Chitrakar  <pawan@nplinux.org>

	* configure.in: Added ne "Nepali" in ALL_LINGUAS

2004-11-09  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: install gnome-volume-properties.desktop in
	$(datadir)/applications.

2004-10-25  John (J5) Palmieri  <johnp@redhat.com>

	* src/manager.c: Rearchitect g-v-m to only run policy if 
	g-v-m explicitly mounts a storage device.
	(gvm_ask_mixed, gvm_media_changed, gvm_cdrom_policy,hal_device_added): 
	Add device to the policy list after explicit mount
	(hal_property_modified): remove device ignore code.  Run policy
	on device if it is in the policy list.
	(mount_all): Remove device ignore code.  Mount device but do
	not add it to the policy list.

2004-10-25  Sanlig Badral  <badral@openmn.org>
	
	* configure.in: Added "mn" (MONGOLIAN) to ALL_LINGUAS.

2004-10-16  Robert Love  <rml@novell.com>

	* configure.in: bump version to 1.1.1

2004-10-13  Abel Cheung  <maddog@linuxhall.org>

	* configure.in: Added "vi" to ALL_LINGUAS.

2004-10-12  Mitch  <mitch@0bits.com>

	* configure.in, src/manager.c: tweak Marcin's changes

2004-10-12  Marcin Krzyzanowski  <krzak@linux.net.pl>

	* configure.in: find executables via configure
	* src/manager.c: do not hardcode executable paths

2004-10-12  Mohammad DAMT  <mdamt@bisnisweb.com>

	* configure.in: Added "id" (Indonesian) to ALL_LINGUAS
	* po/id.po: Added Indonesian translation

2004-10-04  David Lodge <dave@cirt.net>

	* configure.in (ALL_LINGUAS): Added ang.

2004-10-04  Marcel Telka  <marcel@telka.sk>

	* configure.in (ALL_LINGUAS): Added sk.

2004-10-03  Jesus Bravo Alvarez  <suso@trasno.net>

	* configure.in: Added 'gl' (Galician) to ALL_LINGUAS.

2004-09-20  David Zeuthen  <david@fubar.dk>

	* configure.in: Update hal version requirement to 0.2.98

	* src/manager.c (gvm_media_changed): Now that HAL supports locking
	of devices (thanks to Joe Shaw) we refuse to enforce policy for
	removable media if the drive is locked by another application

2004-09-13  Robert Love  <rml@ximian.com>

	* configure.in: update HAL dep
	* gnome-volume-manager.spec.in: update HAL dep
	* README: update HAL dep
	* NEWS: new file
	* HACKING: add note about unstable branch (which, you know, this is)

2004-09-12  Abel Cheung  <maddog@linuxhall.org>

	* configure.in: Added "mk" "ru" "zh_CN" "zh_TW" to ALL_LINGUAS.

2004-09-10  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* configure.in: Added "th" to ALL_LINGUAS

2004-09-09  Baris Cicek <baris@teamforce.name.tr>

	* configure.in: Added "tr" to ALL_LINGUAS

2004-09-09  Robert Love  <rml@ximian.com>

	* configure.in: bump version to 1.1.0, this is the development branch

2004-09-09  Mugurel Tudor  <mugurelu@go.ro>

	* configure.in: Added "ro" to ALL_LINGUAS

2004-09-04  Gora Mohanty  <gmohanty@cvs.gnome.org>                                                                           
	* configure.in: Added 'or' to ALL_LINGUAS.

2004-09-01  David Zeuthen  <david@fubar.dk>

	* src/manager.c: 
	(gvm_media_changed): Take device parameter and just mount anything 
	that is not a disc; fixes issue where hal says drive supports removable
	media when not sure (as opposed to earlier where hal said nonremovable
	media)
	(hal_device_added): Pass device parameter
	(mount_all): volume.is_filesystem is replaced by volume.fsusage in hal

2004-09-01  Jayaradha  <njaya@redhat.com>

	* configure.in: Added 'ta' to ALL_LINGUAS.

2004-08-30  Robert Love  <rml@ximian.com>

	* configure.in: bump version to 0.9.10

2004-08-30  David Zeuthen  <david@fubar.dk>

	* src/manager.c: 
	(gvm_run_command): Accept UDI; bail out if required parameter in 
	command is NULL
	(gvm_check_dvd): Accept and pass UDI
	(gvm_check_photos): Pass UDI
	(gvm_check_camera): New function; check if UDI got capability camera
	(gvm_device_autorun): Pass UDI
	(gvm_run_cdplayer): Accept and pass UDI
	(gvm_ask_mixed): Accept and pass UDI
	(gvm_run_cdburner): Accept and pass UDI
	(gvm_cdrom_policy): Pass UDI
	(hal_device_added): Also do gvm_check_camera

2004-08-28  Akagic Amila  <bono@linux.org.ba>

	* configure.in: Added 'bs' to ALL_LINGUAS.

2004-08-27  Kostas Papadimas  <pkst@gnome.org>

	* configure.in: Added "el" to ALL_LINGUAS.

2004-08-27  Žygimantas Beručka  <uid0@akl.lt>

	* configure.in: Added "lt" to ALL_LINGUAS.

2004-08-25  Maxim Dziumanenko <mvd@mylinux.com.ua>

	* configure.in: Add "uk" (Ukrainian) to ALL_LINGUAS.

2004-08-18  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Add «nb» to ALL_LINGUAS.

2004-08-17  David Zeuthen  <david@fubar.dk>

	* src/manager.c
	(gvm_device_mount): Mount synchronously so we know whether it
	fails and can report
	(gvm_device_unmount): New function
	(hal_property_modified): Respect the list of ignored UDI's.
	Maintain the list of volumes that have been mounted during our
	lifetime
	(hal_device_condition): Don't listen for the EjectPressed
	condition; HAL no longer emits it (it only works on a tiny
	fraction of devices)
	(mount_all): New function
	(unmount_all): New function
	(handle_sigterm): New function
	(sigterm_iochn_data): New function
	(gvm_die): New function
	(main): Setup handler for 'die' signal. Setup SIGTERM handler and
	create a pipe and integrate this pipe into the mainloop. Invoke
	mount_all

2004-08-13  Adam Roben  <aroben@fas.harvard.edu>

	* src/manager.c: storage.drive_type belongs to the media's parent in
	  current HAL

2004-08-13  Robert Love  <rml@novell.com>

	* configure.in: version++, twice
	* src/manager.c: exit gracefully and politely if hald is not running
	* src/properties.c: ditto

2004-08-13  Nathaniel McCallum  <npmccallum@gentoo.org>

	* gnome-volume-manager.schemas.in: add option for opening in Nautilus
	  mounted media on insertion
	* gnome-volume-properties.glade: ditto
	* src/gvm.h: ditto
	* src/manager.c: ditto
	* src/properties.c: again, ditto

2004-08-12  Robert Love  <rml@novell.com>

	* configure.in: bump version to 0.9.6

2004-08-12  Martin Lexa  <martin@martinlexa.cz>

	* gnome-volume-manager.schemas.in: add eject_command
	* src/manager.c: handle EjectPressed event

2004-08-12  Tommi Vainikainen  <thv@iki.fi>

	* configure.in (ALL_LINGUAS): Added "fi" (Finnish)

2004-08-05  Samúel Jón Gunnarsson  <sammi@techattack.nu>

	* configure.inn: Added "is" (Icelandic) to ALL_LINGUAS.
	
2004-08-01  Sayamindu Dasgupta <sayamindu@gnome.org>

	* configure.in (ALL_LINGUAS): Added "bn" (Bengali)

2004-07-24  Alexander Shopov  <ash@contact.bg>

	* configure.in (ALL_LINGUAS): Added "bg" (Bulgarian)

2004-07-18  Jordi Mallach  <jordi@sindominio.net>

	* gnome-volume-manager.schemas.in: Fix typo.

2004-07-15  Sjoerd Simons  <sjoerd@spring.luon.net>

	* gnome-volume-manager.schemas.in: fix descriptions

2004-07-07  Ole Laursen  <olau@hardworking.dk>

	* gnome-volume-manager.schemas.in: Fixed two spelling errors.

2004-07-06  Ole Laursen  <olau@hardworking.dk>

	* configure.in: Added "da" (Danish) to ALL_LINGUAS.

2004-07-06  Jordi Mallach  <jordi@sindominio.net>

	* configure.in (ALL_LINGUAS): added "ca" (Catalan).

2004-06-22  Arafat Medini <lumina@silverpen.de>

	* configure.in: Added "ar" (Arabic) to ALL_LINGUAS.

2004-06-13  Metin Amiroff  <metin@karegen.com>

	* configure.in: Added "az" (Azerbaijani) to ALL_LINGUAS.

2004-06-08  Robert Love  <rml@ximian.com>

	* src/manager.c: disable DEBUG by default; misc. clean up
	* src/properties.c: misc clean up
	* README: updated
	* configure.in: bump version to 0.9.5

2004-06-08  Fernando Herrera  <fherrera@onirica.com>

	* gnome-volume-properties.glade: Use GtkFileChooser in GnomeFileEntry

2004-06-07  Robert Love  <rml@ximian.com>

	* configure.in: bump version to 0.9.4

2004-05-29  Christophe Merlet  <redfox@redfoxcenter.org>

	* configure.in: Added "fr" (French) to ALL_LINGUAS.

2004-05-25  Alessio Frusciante  <algol@firenze.linux.it>

	* configure.in: Added "it" (Italian) to ALL_LINGUAS.

2004-05-21  Sjoerd Simons  <sjoerd@luon.net>

	* src/manager.c: gvm_device_is_writer() expects a UDI, not a dev node

2004-05-13  David Zeuthen  <david@fubar.dk>

	* src/manager.c (gvm_cdrom_policy): use new volume.disc properties
	from HAL cvs

2004-05-11  Robert Love  <rml@ximian.com>

	* configure.in: bump version to 0.9.3
	* Makefile.am: add mkinstalldirs to EXTRA_DIST
	* mkinstalldirs: new file, to get around automake/intltools bug

2004-05-08  Iñaki Larrañaga  <dooteo@euskalgnu.org>

	* configure.in: Added "eu" (Basque) to ALL_LINGUAS.

2004-05-05  David Zeuthen  <david@fubar.dk>

	* src/manager.c: update the property names as hal has changed
	(gvm_device_is_writer): properties are bool, not int. also support
	dvd+r(w)
	(gvm_cdrom_policy): also mount dvd discs now hal has a separate
	disc_type for these; also see TODO note..
	(hal_device_added): use a hal utility to determine whether it's a
	block device
	(gvm_check_photos): add capability content.photos instead of
	capability camera

2004-05-01  Adam Weinberger  <adamw@gnome.org>

	* configure.in: Added en_CA to ALL_LINGUAS.

2004-04-18  Robert Love  <rml@ximian.com>

	* configure.in: correctly case-out the warning flags;
	  update required HAL package version

2004-04-12  Robert Love  <rml@ximian.com>

	* src/manager.c: use "__attribute__((__unused__))" on function
	  parameters as appropriate in lieu of "(void) foo"
	* src/clipboard.c: ditto
	* src/properties.c: ditto;
	  don't call update_widgets() twice
	* README: updated
	* INSTALL: remove - just use the default that autogen installs
	* Makefile.am: add HACKING to EXTRA_DIST
	* TODO: update

2004-04-12  Crispin Flowerday  <gnome@flowerday.cx>

	* src/manager.c: prevent expanding both %m and %d in gvm_run_command

2004-04-12  Robert Love  <rml@ximian.com>

	* configure.in: bump version to 0.9.2

2004-04-12  David Zeuthen  <david@fubar.dk>

	* src/manager.c: update for new HAL API and use HAL callbacks instead
	  of directly listening on to DBUS

2004-04-10  Gareth Owen  <gowen72@yahoo.com>

	* configure.in: Added en_GB to ALL_LINGUAS

2004-04-08  Robert Love  <rml@ximian.com>

	* configure.in: bump version to 0.9.1

2004-04-05  sjoerd  <sjoerd@luon.net>

	* src/manager.c: fix crash when autorun is set but autorun_path is NULL

2004-04-05  Artur Flinta <aflinta@cvs.gnome.org>

	* configure.in: Added 'pl' into ALL_LINGUAS.

2004-04-01  Matthew Schick  <matt@breakmygentoo.net>

	* src/manager.c: s/iso9660/data/ as possible storage.cdrom.media_type
	  reply

2004-03-29  Robert Love  <rml@ximian.com>

	* src/manager.c: gvm_device_is_writer(): check explicitly for "1" and
	  not just true as "hal_device_get_property_int()" can return a
	  value of "-1".  Thanks to Chris Rivera.
	* gnome-volume-manager.schemas.in: make default camera action
	  "gthumb --import-photos" now that gthumb supports that flag

2004-03-24  Robert Love  <rml@ximian.com>

	* src/manager.c: use "storage.cdrom.media_type" from HAL to ascertain
	  the disc type instead of ioctl().
	* src/manager.c: use HAL's storage properties instead of trying to
	  guess whether a device is capable of writing or not
	* src/manager.c: there is no need for "gvm_cdrom_has_media()". axe it.
	* src/manager.c: move the X clipboard hack out of here
	* src/clipboard.c: new file
	* configure.in: add a bunch of anal warnings (that right now result in
	  a warning-free compile -- keep it that way!)
	* configure.in: bump version to 0.9

2004-03-23  Takeshi AIHANA <aihana@gnome.gr.jp>

	* configure.in: Added 'ja' (Japanese) into ALL_LINGUAS.

2004-03-21  Robert Love  <rml@ximian.com>

	* README: update requirement
	* src/manager.c: misc. cleanup

2004-03-20  Robert Love  <rml@ximian.com>

	* configure.in: bump release to 0.8.1
	* configure.in: bump release to 0.8.2

2004-03-18  Robert Love  <rml@ximian.com>

	* configure.in: bump release to 0.8

2004-03-17  Gustavo Noronha Silva  <kov@debian.org>

	* configure.in: Added Brazilian Portuguese (pt_BR) to ALL_LINGUAS.

2004-03-15  Rob Adams  <readams@hmc.edu>
	* src/properties.c: prevent segfault if gnome-icon-theme is not
	  installed

2004-02-21  Duarte Loreto <happyguy_pt@hotmail.com>

	* configure.in: Added Portuguese (pt) to ALL_LINGUAS.

2004-02-07  Robert Sedak  <robert.sedak@sk.htnet.hr>

	* configure.in: Added "hr" (Croatian) to ALL_LINGUAS.

2004-02-04  Christian Neumair  <chris@gnome-de.org>

	* configure.in: Added German (de) to ALL_LINGUAS.

2004-02-03  Hasbullah Bin Pit <sebol@my-penguin.org>

	* configure.in: Added Malay (ms)to ALL_LINGUAS.

2004-01-26  Ross Burton  <ross@burtonini.com>

	* Makefile.am: Clean the generated .desktop and .schema files on clean,
	and clean the intltool files on distclean.

	* src/Makefile.am: Add gvm.h to _SOURCES so they get included in the
	dist, and, well	they are sources.
	
2004-01-24  Robert Love  <rml@tech9.net>

	* gnome-volume-manager.spec.in: support for translation files and
	general cleanup

2004-01-24  Francisco Javier F. Serrador  <serrador@cvs.gnome.org>

	* configure.in: Added "es" to ALL_LINGUAS.

2004-01-23  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added "no" to ALL_LINGUAS.

2004-01-21  Miloslav Trmac  <mitr@volny.cz>

	* configure.in: Added cs (Czech) to ALL_LINGUAS.

2004-01-19  Robert Love  <rml@ximian.com>

	* configure.in: 0.7

2004-01-15  Danilo Segan  <dsegan@gmx.net>

	* src/manager.c: config.h to the top, include libintl.h.
	(main): Bind a gettext domain.

	* src/properties.c: config.h to the top, include libintl.h.
	(init_capplet): Use PACKAGE for domain in glade_xml_new call.
	(main): Bind a gettext domain.

	* src/Makefile.am (INCLUDES): Added GNOMELOCALEDIR.

	* Makefile.am: Add "po" to SUBDIRS;
	Use ".schemas.in", and change variable names from capplet* to
	desktop (required by INTLTOOL_DESKTOP_RULE);
	Expand EXTRA_DIST to include all needed stuff.

	* configure.in: Remove *.desktop from AC_OUTPUT.

2004-01-15  <clarkbw@cvs.gnome.org>

	* gnome-volume-properties.desktop.in: 
	Changed name to remove 'Preferences'
	Change comment to remove word 'volume' as it can be confusing
	Compromised with Robert on Comment :-)

2004-01-15  Robert Love  <rml@ximian.com>

	* src/manager.c: add the "camera" capability to devices that have a
	  DCIM tree
	* call-chain.gif: remove

2004-01-15  Danilo Šegan  <dsegan@gmx.net>

	* configure.in: Added "sr" and "sr@Latn" to ALL_LINGUAS.

2004-01-14  Robert Love  <rml@tech9.net>

	* manager.c: fix issue with mixed mode CDs
	* HACKING: update

2004-01-14  Christian - Manny Calavera - Neumair <chris@gnome-de.org>

	* Makefile.am, configure.in, gnome-volume-schemas.in: intltool
	* gnome-volume-manger.schemas: rename
	* po/POTFILES.in: intltool

2004-01-14  Christian Rose  <menthos@menthos.com>

	* po: Added this directory.

2004-01-13  Bastien Nocera  <hadess@hadess.net>

	* properties.c: properly handle a missing glade XML markup

2004-01-13  Robert Love  <rml@ximian.com>

	* src/manager.c: add support for HAL media change
	* src/manager.c: use new "storage.removable" signal
	* src/manager.c: update for HAL 0.2.4
	* gnome-volume-manager.spec.in: update BuildPrereq and Requires
	* configure.in: 0.6, baby

2004-01-12  Joe Shaw  <joe@ximian.com>

	* autogen.sh, Makefile.am, manager.c: build fixes
	* src/manager.c, gnome-volume-manager.schemas: autophoto fixes

2004-01-10  Robert Love  <rml@ximian.com>

	* all: 0.3

2004-01-03  Robert Love  <rml@ximian.com>

	* all: 0.2

2003-12-28  Robert Love  <rml@ximian.com>

	* all: first release, yo
